-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Мар 07 2009 г., 19:59
-- Версия сервера: 5.0.51
-- Версия PHP: 5.2.6-1+lenny2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `ant`
--

-- --------------------------------------------------------

--
-- Структура таблицы `arch`
--

CREATE TABLE IF NOT EXISTS `arch` (
  `arch_id` int(2) NOT NULL auto_increment,
  `arch` varchar(10) default NULL,
  PRIMARY KEY  (`arch_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `arch`
--

INSERT INTO `arch` (`arch_id`, `arch`) VALUES
(1, 'i386'),
(2, 'amd64');

-- --------------------------------------------------------

--
-- Структура таблицы `arch2rep`
--

CREATE TABLE IF NOT EXISTS `arch2rep` (
  `id` int(11) NOT NULL auto_increment,
  `arch_id` int(2) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `arch_id` (`arch_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `arch2rep`
--

INSERT INTO `arch2rep` (`id`, `arch_id`, `rep_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `distribution`
--

CREATE TABLE IF NOT EXISTS `distribution` (
  `dist_id` int(5) NOT NULL auto_increment,
  `distname` varchar(25) default NULL,
  `disttype` int(1) NOT NULL,
  PRIMARY KEY  (`dist_id`),
  KEY `disttype` (`disttype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `distribution`
--

INSERT INTO `distribution` (`dist_id`, `distname`, `disttype`) VALUES
(1, 'Debian GNU/Linux', 1),
(2, 'Ubuntu Linux', 1),
(3, 'InfraLinux', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `dtype`
--

CREATE TABLE IF NOT EXISTS `dtype` (
  `type_id` int(1) NOT NULL auto_increment,
  `type` char(3) character set utf8 NOT NULL,
  PRIMARY KEY  (`type_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `dtype`
--

INSERT INTO `dtype` (`type_id`, `type`) VALUES
(1, 'deb'),
(2, 'rpm');

-- --------------------------------------------------------

--
-- Структура таблицы `owner`
--

CREATE TABLE IF NOT EXISTS `owner` (
  `id` int(11) NOT NULL auto_increment,
  `login` char(32) default NULL,
  `passwd` char(32) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `owner`
--

INSERT INTO `owner` (`id`, `login`, `passwd`) VALUES
(1, 'admin', 'b167f5e9e5794a7e1eaca776fed7afb9');

-- --------------------------------------------------------

--
-- Структура таблицы `repository`
--

CREATE TABLE IF NOT EXISTS `repository` (
  `rep_id` int(5) NOT NULL auto_increment,
  `repname` varchar(20) default NULL,
  `repdescribe` text,
  `scheme_id` int(2) NOT NULL,
  PRIMARY KEY  (`rep_id`),
  KEY `scheme` (`scheme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=49 ;

--
-- Дамп данных таблицы `repository`
--

INSERT INTO `repository` (`rep_id`, `repname`, `repdescribe`, `scheme_id`) VALUES
(1, 'sarge', 'Базовый репозиторий', 4),
(2, 'sarge-backports', 'Бэкпорты для Sarge', 9),
(3, 'etch', 'Базовый репозиторий', 4),
(4, 'etch-updates', 'Обновления безопасности', 6),
(5, 'etch-backports', 'Бэкпорты для Etch', 9),
(6, 'etch-opera', 'Репозиторий с браузером Opera', 4),
(7, 'etch-virtualbox', 'Репозиторий с VirtualBox', 4),
(8, 'etch-winehq', 'Репозиторий с wine', 4),
(9, 'lenny', 'Базовый репозиторий', 4),
(10, 'lenny-2gis', 'Репозиторий с 2GIS', 4),
(11, 'lenny-opera', 'Репозиторий с браузером Opera', 4),
(12, 'lenny-updates', 'Обновления безопасности', 6),
(13, 'lenny-virtualbox', 'Репозиторий с  VirtualBox', 4),
(14, 'hardy', 'Базовый репозиторий', 4),
(15, 'hardy-commercial', 'Репозиторий с коммерческим ПО', 4),
(16, 'hardy', 'Обновления безопасности', 11),
(17, 'hardy', 'Обновления', 10),
(18, 'ubuntu-2gis', 'Репозиторий с 2GIS', 4),
(19, 'ubuntu-freenx', 'Репозиторий с FreeNX', 4),
(20, 'ubuntu-playonlinux', 'Репозиторий с играми', 4),
(35, 'intrepid', 'Обновления безопасности', 11),
(21, 'ubuntu-virtualbox', 'Репозиторий с  VirtualBox', 4),
(22, 'ubuntu-winehq', 'Репозиторий с  Wine', 4),
(23, 'intrepid', 'Бэкпорты для Intrepid Ibex', 9),
(24, 'hardy', 'Бэкпорты для Hardy Heron', 9),
(25, 'intrepid', 'Базовый репозиторий', 4),
(26, 'intrepid', 'Обновления безопасности', 11),
(27, 'intrepid', 'Обновления', 10),
(28, 'intrepid-commercial', 'Репозиторий с коммерческим ПО', 4),
(34, 'intrepid', 'Базовый репозиторий Ubuntu', 4),
(29, 'kubuntu-experimental', 'Экспериментальный репозиторий с KDE 4', 4),
(30, 'ubuntu-playonlinux', 'Репозиторий с играми', 4),
(33, 'infralinux', 'Базовый репозиторий', 4),
(31, 'ubuntu-virtualbox', 'Репозиторий с  VirtualBox', 4),
(32, 'ubuntu-winehq', 'Репозиторий с Wine', 4),
(36, 'intrepid', 'Обновления', 10),
(37, 'intrepid', 'Бэкпорты для Intrepid Ibex', 9),
(38, 'intrepid-commercial', 'Коммерческое ПО', 4),
(39, 'kubuntu-experimental', 'Экспериментальный репозиторий с KDE 4', 4),
(40, 'ubuntu-playonlinux', 'Репозиторий с играми', 4),
(41, 'ubuntu-virtualbox', 'Репозиторий с VirtualBox', 4),
(42, 'ubuntu-winehq', 'Репозиторий с wine', 4),
(43, 'etch-multimedia', 'Мультимедийный репозиторий для Etch', 4),
(44, 'lenny-multimedia', 'Мультимедийный репозиторий для Lenny', 4),
(45, 'etch', 'Обновления для Etch', 5),
(46, 'lenny', 'Обновления для Lenny', 5),
(47, 'lenny-volatile', 'Обновления для Lenny', 7),
(48, 'lenny-volatile', 'Обновления для Lenny', 8);

-- --------------------------------------------------------

--
-- Структура таблицы `scheme`
--

CREATE TABLE IF NOT EXISTS `scheme` (
  `scheme_id` int(2) NOT NULL auto_increment,
  `scheme` varchar(200) NOT NULL,
  PRIMARY KEY  (`scheme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `scheme`
--

INSERT INTO `scheme` (`scheme_id`, `scheme`) VALUES
(4, '{TYPE} {PROTO}{URL}/{REP} {DIST} {SECT}'),
(5, '{TYPE} {PROTO}{URL}/{REP} {DIST}-proposed-updates {SECT}'),
(6, '{TYPE} {PROTO}{URL}/{REP} {DIST}/updates {SECT}'),
(7, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile {SECT}'),
(8, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile-sloppy {SECT}'),
(9, '{TYPE} {PROTO}{URL}/{REP} {DIST}-backports {SECT}'),
(10, '{TYPE} {PROTO}{URL}/{REP} {DIST}-updates {SECT}'),
(11, '{TYPE} {PROTO}{URL}/{REP} {DIST}-security {SECT}');

-- --------------------------------------------------------

--
-- Структура таблицы `sect2dist`
--

CREATE TABLE IF NOT EXISTS `sect2dist` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `dist_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;

--
-- Дамп данных таблицы `sect2dist`
--

INSERT INTO `sect2dist` (`id`, `sect_id`, `dist_id`) VALUES
(11, 0, 2),
(2, 2, 1),
(25, 3, 2),
(10, 0, 1),
(16, 4, 2),
(18, 5, 2),
(20, 6, 2),
(22, 7, 2),
(24, 3, 1),
(12, 0, 3),
(13, 1, 1),
(14, 1, 2),
(15, 1, 3),
(17, 4, 3),
(19, 5, 3),
(21, 6, 3),
(23, 7, 3),
(26, 3, 3);

-- --------------------------------------------------------

--
-- Структура таблицы `sect2rep`
--

CREATE TABLE IF NOT EXISTS `sect2rep` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=356 ;

--
-- Дамп данных таблицы `sect2rep`
--

INSERT INTO `sect2rep` (`id`, `sect_id`, `rep_id`) VALUES
(74, 3, 0),
(73, 2, 0),
(72, 1, 0),
(77, 3, 0),
(76, 2, 0),
(75, 1, 0),
(80, 3, 0),
(79, 2, 0),
(78, 1, 0),
(83, 3, 0),
(82, 2, 0),
(81, 1, 0),
(86, 3, 0),
(85, 2, 0),
(84, 1, 0),
(87, 3, 0),
(88, 3, 0),
(89, 1, 0),
(92, 3, 0),
(91, 2, 0),
(90, 1, 0),
(93, 3, 0),
(94, 3, 0),
(97, 3, 0),
(96, 2, 0),
(95, 1, 0),
(98, 3, 0),
(102, 6, 0),
(101, 5, 0),
(100, 4, 0),
(99, 1, 0),
(103, 7, 0),
(107, 6, 0),
(106, 5, 0),
(105, 4, 0),
(104, 1, 0),
(111, 6, 0),
(110, 5, 0),
(109, 4, 0),
(108, 1, 0),
(112, 3, 0),
(113, 1, 0),
(114, 1, 0),
(115, 3, 0),
(116, 1, 0),
(124, 6, 0),
(123, 5, 0),
(122, 4, 0),
(121, 1, 0),
(120, 6, 0),
(119, 5, 0),
(118, 4, 0),
(117, 1, 0),
(128, 6, 0),
(127, 5, 0),
(126, 4, 0),
(125, 1, 0),
(132, 6, 0),
(131, 5, 0),
(130, 4, 0),
(129, 1, 0),
(136, 6, 0),
(135, 5, 0),
(134, 4, 0),
(133, 1, 0),
(137, 7, 0),
(138, 1, 0),
(139, 1, 0),
(140, 3, 0),
(71, 1, 0),
(324, 6, 33),
(323, 5, 33),
(322, 4, 33),
(321, 1, 33),
(328, 6, 34),
(327, 5, 34),
(326, 4, 34),
(325, 1, 34),
(332, 6, 35),
(331, 5, 35),
(330, 4, 35),
(329, 1, 35),
(336, 6, 36),
(335, 5, 36),
(334, 4, 36),
(333, 1, 36),
(340, 6, 37),
(339, 5, 37),
(338, 4, 37),
(337, 1, 37),
(161, 1, 0),
(162, 4, 0),
(163, 5, 0),
(164, 6, 0),
(165, 1, 0),
(166, 2, 0),
(167, 3, 0),
(245, 3, 1),
(244, 2, 1),
(243, 1, 1),
(248, 3, 2),
(247, 2, 2),
(246, 1, 2),
(251, 3, 3),
(250, 2, 3),
(249, 1, 3),
(254, 3, 4),
(253, 2, 4),
(252, 1, 4),
(257, 3, 5),
(256, 2, 5),
(255, 1, 5),
(258, 3, 6),
(259, 3, 7),
(260, 1, 8),
(263, 3, 9),
(262, 2, 9),
(261, 1, 9),
(264, 3, 10),
(266, 3, 11),
(269, 3, 12),
(268, 2, 12),
(267, 1, 12),
(270, 3, 13),
(281, 6, 14),
(280, 5, 14),
(279, 4, 14),
(278, 1, 14),
(282, 7, 15),
(286, 6, 16),
(285, 5, 16),
(284, 4, 16),
(283, 1, 16),
(290, 6, 17),
(289, 5, 17),
(288, 4, 17),
(287, 1, 17),
(291, 3, 18),
(292, 1, 19),
(293, 1, 20),
(294, 3, 21),
(295, 1, 22),
(299, 6, 24),
(298, 5, 24),
(297, 4, 24),
(296, 1, 24),
(303, 6, 23),
(302, 5, 23),
(301, 4, 23),
(300, 1, 23),
(307, 6, 25),
(306, 5, 25),
(305, 4, 25),
(304, 1, 25),
(311, 6, 26),
(310, 5, 26),
(309, 4, 26),
(308, 1, 26),
(315, 6, 27),
(314, 5, 27),
(313, 4, 27),
(312, 1, 27),
(316, 7, 28),
(317, 1, 29),
(318, 1, 30),
(319, 3, 31),
(320, 1, 32),
(341, 7, 38),
(342, 1, 39),
(343, 1, 40),
(344, 3, 41),
(345, 1, 42),
(265, 1, 43),
(346, 1, 44),
(272, 1, 45),
(273, 2, 45),
(274, 3, 45),
(349, 3, 46),
(348, 2, 46),
(347, 1, 46),
(350, 1, 47),
(351, 2, 47),
(352, 3, 47),
(353, 1, 48),
(354, 2, 48),
(355, 3, 48);

-- --------------------------------------------------------

--
-- Структура таблицы `section`
--

CREATE TABLE IF NOT EXISTS `section` (
  `sect_id` int(3) NOT NULL auto_increment,
  `sectname` varchar(25) NOT NULL,
  `sectinfo` text NOT NULL,
  PRIMARY KEY  (`sect_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `section`
--

INSERT INTO `section` (`sect_id`, `sectname`, `sectinfo`) VALUES
(1, 'main', 'Основной раздел, в котором собраны пакеты ПО только под свободными лицензиями.'),
(4, 'restricted', ''),
(5, 'universe', ''),
(2, 'contrib', 'Пакеты в этой части распространяются владельцем авторских прав на условиях свободной лицензии, но зависят от несвободного программного обеспечения.'),
(6, 'multiverse', ''),
(3, 'non-free', 'Лицензии пакетов в этой части содержат условия, ограничивающие использование или распространение ПО'),
(7, 'partner', '');

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `opt_id` int(2) NOT NULL auto_increment,
  `opt` varchar(50) NOT NULL,
  `optvalue` varchar(200) NOT NULL,
  PRIMARY KEY  (`opt_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`opt_id`, `opt`, `optvalue`) VALUES
(1, 'proto', 'http://'),
(2, 'url', 'apt.nix-files.org.ru');

-- --------------------------------------------------------

--
-- Структура таблицы `ver2rep`
--

CREATE TABLE IF NOT EXISTS `ver2rep` (
  `id` int(11) NOT NULL auto_increment,
  `ver_id` int(5) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ver_id` (`ver_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=49 ;

--
-- Дамп данных таблицы `ver2rep`
--

INSERT INTO `ver2rep` (`id`, `ver_id`, `rep_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 3),
(4, 2, 4),
(5, 2, 5),
(6, 2, 6),
(7, 2, 7),
(8, 2, 8),
(9, 3, 9),
(10, 3, 10),
(11, 3, 11),
(12, 3, 12),
(13, 3, 13),
(14, 4, 14),
(15, 4, 15),
(16, 4, 16),
(17, 4, 17),
(18, 4, 18),
(19, 4, 19),
(20, 4, 20),
(21, 4, 21),
(22, 4, 22),
(23, 5, 23),
(24, 4, 24),
(25, 5, 25),
(26, 5, 26),
(27, 5, 27),
(28, 5, 28),
(29, 5, 29),
(30, 5, 30),
(31, 5, 31),
(32, 5, 32),
(33, 6, 33),
(34, 6, 34),
(35, 6, 35),
(36, 6, 36),
(37, 6, 37),
(38, 6, 38),
(39, 6, 39),
(40, 6, 40),
(41, 6, 41),
(42, 6, 42),
(43, 2, 43),
(44, 3, 44),
(45, 2, 45),
(46, 3, 46),
(47, 3, 47),
(48, 3, 48);

-- --------------------------------------------------------

--
-- Структура таблицы `version`
--

CREATE TABLE IF NOT EXISTS `version` (
  `version_id` int(5) NOT NULL auto_increment,
  `dist_id` int(5) default NULL,
  `vname` varchar(25) default NULL,
  `version` varchar(10) NOT NULL,
  `vcodename` varchar(10) default NULL,
  PRIMARY KEY  (`version_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `version`
--

INSERT INTO `version` (`version_id`, `dist_id`, `vname`, `version`, `vcodename`) VALUES
(1, 1, 'Sarge', '3.1', 'sarge'),
(2, 1, 'Etch', '4.0', 'etch'),
(3, 1, 'Lenny', '5.0', 'lenny'),
(4, 2, 'Hardy Heron', '8.04', 'hardy'),
(5, 2, 'Intrepid Ibex', '8.10', 'intrepid'),
(6, 3, 'Intrepid Ibex', '8.10', 'intrepid');
